=== debian/control ===
Source: docbook-defguide
Section: doc
Priority: optional
Maintainer: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Build-Depends: debhelper (>> 7.0.50~)
Build-Depends-Indep: docbook-ebnf (>> 1.2~cr1), docbook-xml (>= 4.5),
 docbook-xsl, java-gcj-compat [!alpha !arm !hppa !hurd-i386],
 docbook-xsl-saxon-gcj, libsaxon-java-gcj (>> 1:6.5), libxerces2-java-gcj,
 libxml-commons-resolver1.1-java-gcj, xml-core, xsltproc
Standards-Version: 3.9.2
Homepage: http://docbook.org/tdg/
Vcs-Browser: http://svn.debian.org/wsvn/debian-xml-sgml/packages/docbook-defguide/trunk/
Vcs-Svn: svn://svn.debian.org/svn/debian-xml-sgml/packages/docbook-defguide/trunk/
DM-Upload-Allowed: yes

Package: docbook-defguide
Architecture: all
Depends: ${misc:Depends}
Suggests: docbook, docbook-xml
Replaces: docbook-book
Provides: docbook-book
Conflicts: docbook-book
Description: DocBook: The Definitive Guide - HTML version
 The official reference manual for the DocBook 4.x SGML and XML DTD,
 by Norman Walsh, Leonard Muellner, and Bob Stayton.  This version is
 an evolution of the book of the same name published by O'Reilly
 (which documented DocBook 3.1).
 .
 This is a work in progress, which attempts to fully document DocBook
 4.5, but may be inconsistent in some places.
