=== debian/rules ===
#!/usr/bin/make -f

JAVA    = java
BASEDIR = html/
PACKAGE = docbook-defguide

%:
	dh $@ --parallel

override_dh_auto_configure:
override_dh_auto_install:
override_dh_auto_build:
	$(MAKE) -C defguide/en tdg.xml all JAVA=$(JAVA) BASEDIR=$(BASEDIR)

override_dh_installdirs:
	dh_installdirs
	echo "# <URL:http://bugs.debian.org/135296>" > \
	    debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/html/.htaccess
	echo "DirectoryIndex docbook.html" >> \
	    debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/html/.htaccess

override_dh_compress:
	dh_compress -i -Xusr/share/doc/docbook-defguide/html

override_dh_clean:
	$(MAKE) -C defguide/en clean
	(cd defguide/en && $(RM) $(BASEDIR)/*.html stylesheets/html-titlepage.xsl bookinfo.xml)
	dh_clean

# TODO: create WhatsNew from svn2cl instead to touch it
# TODO: the Russian TDG needs it

version=$(shell dpkg-parsechangelog | sed -n -e 's/^Version: \(.*\)-[^-+]*/\1/p' | sed -n -e 's/\+svn.*$$//p ')

get-orig-source:
	set -ex ; \
	export LANG=C ; \
	TDGVERSION=`svn info https://docbook.svn.sourceforge.net/svnroot/docbook/trunk/defguide | sed -n -e 's/^Last Changed Rev: //p'` ; \
	TMPDIR=`mktemp -d docbook-defguide-$(version)+svn"$$TDGVERSION".orig` ; \
	svn export https://docbook.svn.sourceforge.net/svnroot/docbook/trunk/defguide "$$TMPDIR"/defguide ; \
	find "$$TMPDIR" -name .cvsignore -delete ; \
	echo "TODO: create WhatsNew from svn2cl instead to touch it" > "$$TMPDIR"/defguide/en/WhatsNew ; \
	GZIP=-9 tar -czf $(CURDIR)/docbook-defguide_${version}+svn"$$TDGVERSION".orig.tar.gz "$$TMPDIR" ; \
	rm -rf "$$TMPDIR"

.PHONY: get-orig-source
