=== debian/watch ===
# See uscan(1) for format
#
# NOTE: You need to call the get-orig-source target in debian/rules.
# NOTE: uupdate will *NOT* work, because we need to get the source from SVN.

version=3
opts=dversionmangle=s/\+svn.*$//g \
  http://docbook.org/tdg/ en/tdg-en-html-([\d\.]+).zip
