## docbook-defguide 2.0.17+svn9047

=== en/stylesheets/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-include ../../../cvstools/Makefile.incl
+include ../../../buildtools/Makefile.incl
 
 html-titlepage.xsl: html-titlepage.xml
 	$(XSLT) $< /sourceforge/docbook/xsl/template/titlepage.xsl $@
