=== debian/changelog ===
docbook-defguide (2.0.17+svn9047-1) unstable; urgency=low

  * New snapshot from upstream VCS revision 9047.
  * debian/control (Standards-Version): Bumped to 3.9.3.
    (Build-Depends-Indep): Use default-jre-headless by default or
    gcj-jre-headless alternatively.
  * debian/copyright: Minor update.
  * debian/docbook-defguide.docs: Adjusted for source layout change.
  * debian/docbook-defguide.install: Ditto.
  * debian/rules: Adjust for minor source layout change. Removed
    get-orig-source target. Use default JRE.
  * debian/watch: Changed to download via ViewVC interface.
  * debian/README.Debian: Minor update.
  * debian/README.source: Ditto.
  * debian/patches/buildtools.patch: Adjusted.
    - Patch fixes. Further fix en/Makefile.
  * debian/patches/misc_fixes.patch: Adjusted.
    - Path fixes. Change to en/stylesheets/html-titlepage.xml obsoleted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 20 Jun 2012 00:10:40 +0200
