=== debian/control ===
--- 
+++ 
@@ -3,11 +3,17 @@
 Priority: optional
 Maintainer: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
 Build-Depends: debhelper (>> 7.0.50~)
-Build-Depends-Indep: docbook-ebnf (>> 1.2~cr1), docbook-xml (>= 4.5),
- docbook-xsl, java-gcj-compat [!alpha !arm !hppa !hurd-i386],
- docbook-xsl-saxon-gcj, libsaxon-java-gcj (>> 1:6.5), libxerces2-java-gcj,
- libxml-commons-resolver1.1-java-gcj, xml-core, xsltproc
-Standards-Version: 3.9.2
+Build-Depends-Indep: default-jre-headless | gcj-jre-headless,
+                     docbook-ebnf (>> 1.2~cr1),
+                     docbook-xml (>= 4.5),
+                     docbook-xsl,
+                     docbook-xsl-saxon-gcj,
+                     libsaxon-java-gcj (>> 1:6.5),
+                     libxerces2-java-gcj,
+                     libxml-commons-resolver1.1-java-gcj,
+                     xml-core,
+                     xsltproc
+Standards-Version: 3.9.3
 Homepage: http://docbook.org/tdg/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-xml-sgml/packages/docbook-defguide/trunk/
 Vcs-Svn: svn://svn.debian.org/svn/debian-xml-sgml/packages/docbook-defguide/trunk/
