=== debian/watch ===
# See uscan(1) for format
#
# NOTE: You need to call the get-orig-source target in debian/rules.
# NOTE: uupdate will *NOT* work, because we need to get the source from SVN.

version=3
opts=\
uversionmangle=s/^/2.0.17+svn/,\
downloadurlmangle=s#\?view.*$#/trunk/defguide.tar.gz\?view=tar#,\
filenamemangle=s#^.*revision=(\d+)$#docbook-defguide-2.0.17+svn$1.tar.gz# \
 http://docbook.svn.sourceforge.net/viewvc/docbook/trunk/defguide/ .*revision=(\d+)$

# TODO: parent=1 auf en/
# http://viewvc.tigris.org/source/browse/*checkout*/viewvc/trunk/docs/url-reference.html#tarball-view
# debian /bin/sh debian/get-orig-source.sh
#
#opts=dversionmangle=s/\+svn.*$//g \
#  http://docbook.org/tdg/ en/tdg-en-html-([\d\.]+).zip
