=== debian/changelog ===
docbook-defguide (2.0.17+svn9912-4) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.5 to 4.7.0.
  * Switched to debhelper compat level 13.
  * Flagged docbook-defguide binary package as Multi-Arch: foreign as it can be installed on any arch.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 18 Apr 2024 00:10:12 +0200

docbook-defguide (2.0.17+svn9912-3) unstable; urgency=medium

  * QA upload.
  * Drop Vcs fields.

 -- Bastian Germann <bage@debian.org>  Mon, 28 Aug 2023 16:01:22 +0200

docbook-defguide (2.0.17+svn9912-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #802364)
  * Stop build-depending on the -gcj versions of packages,
    gcj is not used during the package build.

 -- Adrian Bunk <bunk@debian.org>  Tue, 18 Jul 2017 10:50:01 +0300

docbook-defguide (2.0.17+svn9912-1) unstable; urgency=medium

  * Latest VCS version fixing a license issue (closes: #708867).
  * debian/control: Dropped DM-Upload-Allowed field.
    (Maintainer): Changed to my debian.org address.
    (Standards-Version): Bumped to 3.9.5.
    (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
  * debian/copyright: Update.
  * debian/get-orig-source.sh: Added script to retrieve source.
  * debian/watch: Updated.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 02 Mar 2014 02:46:11 +0100
